#include <iostream>
#include <math.h>

using namespace std;

int main()
{
    int h, w;
    cin >> h >> w;
    if((h+w)%2==0){
        cout << pow(h+w,2)-(h+w) << endl;
    }
    else if(h==1){
        cout << pow(h+w,2) - 5 << endl;
    }
    else {
        cout << pow(h+w,2) - max(h,w) << endl;
    }
    return 0;
}
